from sqlalchemy import Column, Integer, DateTime, Boolean
from sqlalchemy.sql import func
from vilcos.database import Base

class BaseModel(Base):
    __abstract__ = True
    id = Column(Integer, primary_key=True, index=True)
    created_at = Column(DateTime(timezone=True), server_default=func.now())
    updated_at = Column(DateTime(timezone=True), onupdate=func.now())
    is_active = Column(Boolean, default=True)

# You can add your custom models here
